#ifndef _SceneElement_h_
#define _SceneElement_h_

#include <cave_ogl.h>
#include <GL/gl.h>
#include "dcuTexture.h"

class SceneElement
	{
	public:
	 SceneElement(void);
	 virtual void Render(void) {}
	 virtual void GLInitialize(void) {}
	 virtual void Update(float) {}
	 virtual void InitSound(class bergenServer *) {}
	 virtual void UpdateSound(float *) {}
	 virtual void EndSound(void) {}
	 inline float *Center(void) { return center_; }
	 inline float Radius(void) { return *radius_; }
	 inline dcuTexture * Texture(void) { return texture_; }
	 inline int Cullable(void) { return cullable_; }
	protected:
	 float *center_,*radius_;
	 dcuTexture * texture_;
	 int cullable_;
	};

#endif
