#ifndef _cray_h_
#define _cray_h_

#include <cave_ogl.h>
#ifdef USE_HAND
#include "wave.h"
#else
typedef int wfObject;	/* dummy replacement when hand object not used */
#endif
#include "dcu.h"

#include "SceneElement.h"

#define CRAY_SOUND_DIR "/usr/local/CAVE/demos/crayoland/sounds"

typedef struct _world world_t;

struct _world
	{
	char *world_descr_file;
	int do_audio;
	char *sound_descr_file;
	int use_textures;
	int num_elements;
	SceneElement **elem;
	float zmax;
	int fog,msalpha;
	wfObject *hand_open, *hand_closed;
	bool frameRateTest;
	float startPos[3], startHeading;
	};


#endif
