#ifndef _Picture_h_
#define _Picture_h_

#include "SceneElement.h"
#include "dcuTextureSet.h"

class Picture : public SceneElement
	{
	public:
	 Picture(char *options,dcuTextureSet *texset,int loadimage=0);
	 virtual void GLInitialize(void);
	 virtual void Render(void);
	 virtual void Update(float dt);
	protected:
	 float x_,y_,z_;
	 float rx_,ry_,rz_;
	 float xscale_,yscale_;
	 unsigned long color_;
	 float texc_ll_[2], texc_ur_[2];
	 GLuint gl_obj_;
	 void InitValues(void);
	 void ParseOption(char *);
	};

#endif
